#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is mozilla.org code.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1998
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either of the GNU General Public License Version 2 or later (the "GPL"),
# or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH		= ../../../..
topsrcdir	= @top_srcdir@
srcdir		= @srcdir@
VPATH		= @srcdir@

include $(DEPTH)/config/autoconf.mk

MODULE		= dom
XPIDL_MODULE	= dom_events
GRE_MODULE	= 1

SDK_XPIDLSRCS =                                 \
	nsIDOMDocumentEvent.idl			\
	nsIDOMEvent.idl				\
	nsIDOMEventTarget.idl			\
	nsIDOMEventListener.idl			\
	nsIDOM3DocumentEvent.idl		\
	nsIDOM3EventTarget.idl			\
	nsIDOMEventGroup.idl			\
	nsIDOMMouseEvent.idl			\
	nsIDOMMouseScrollEvent.idl      \
	nsIDOMUIEvent.idl			\
	nsIDOMProgressEvent.idl			\
	$(NULL)

XPIDLSRCS =					\
	nsIDOMNSEvent.idl			\
	nsIDOMDataContainerEvent.idl	\
	nsIDOMKeyEvent.idl			\
	nsIDOMMutationEvent.idl			\
	nsIDOMNSUIEvent.idl			\
	nsIDOMDragEvent.idl  			\
	nsIDOMDataTransfer.idl  			\
	nsIDOMPopupBlockedEvent.idl		\
	nsIDOMBeforeUnloadEvent.idl		\
	nsIDOMNSEventTarget.idl			\
	nsIDOMSmartCardEvent.idl                \
	nsIDOMPageTransitionEvent.idl		\
	nsIDOMCommandEvent.idl			\
	nsIDOMMessageEvent.idl			\
	nsIDOMNotifyPaintEvent.idl              \
	nsIDOMSimpleGestureEvent.idl		\
	nsIDOMNSMouseEvent.idl			\
	$(NULL)

include $(topsrcdir)/config/rules.mk
